/*
 * XetPan: a libEtPan! based Mail User Agent
 * Copyright (C) 2002-2003 Melvin Hadasht
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GTK_TOOLBAR_H
#define GTK_TOOLBAR_H

#include <gtk/gtkwidget.h>

#include "ui-types.h"
#include "gtk-types.h"

GtkWidget *
a_GtkToolbar_mainview_new(XePUIMain *uimain);

void
a_GtkToolbar_mainview_free(XePUIMain *uimain);

GtkWidget *
a_GtkToolbar_composewindow_new(XePGTKComposeWindow *uicompose);

void
a_GtkToolbar_composewindow_free(XePGTKComposeWindow *uicompose);

void
a_GtkToolbar_status_notify_error(XePUIMain *uimain);

void
a_GtkToolbar_status_notify_error_reset(XePUIMain *uimain);

#endif
