/*
 * XetPan: a libEtPan! based Mail User Agent
 * Copyright (C) 2002 Melvin Hadasht
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdlib.h>

#include "preferences.h"

XePPreferences *
a_Preferences_create_from_tree(cntree *ntree)
{
  return NULL;
}

void
a_Preferences_free(XePPreferences *preferences)
{
  if (!preferences)
    return;

  free(preferences);    
}

void *
a_Preferences_get(XePPreferencesToken token)
{
  switch (token)
    {
    case XEP_PREFS_DEFAULT_CHARSET:
      return (void *) "ISO-8859-15";
    }
  return NULL;
}
